* {
    box-sizing: border-box;
}

html, body {
    width: 100%;
    height: 100%;
    margin: 0;

    font-family: "Gotham", sans-serif;
    color: #fff;
}

body {
    min-height: 100vh;
    /* height: 100%; */

    font-family: "Gotham", sans-serif;
}

img {
    user-select: none;
    pointer-events: none;
}

#container {
    background-color: #000000;
    background-image: url("../img/background-2.jpg");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
    max-width: 450.1px;
    display: flex;
    flex-direction: column;

    position: relative;

    min-height: 100vh;
    /* height: 100%; */

    margin: auto;
}

.logo-group {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 3rem;
}

.logo-group img {
    width: 30%;
    user-select: none;
    pointer-events: none;
}

.logo-left-group {
    display: flex;
    flex-direction: row;
    height: 100%;
    width: 50%;
}

.logo-left-group img:first-child {
    width: 60%;
}

.logo-left-group img:last-child {
    margin-left: 12px;
}

#header-image {
    width: 80%;
    margin-top: 3rem;
}

#body-container {
    width: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
}

#form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    padding-top: 2rem;

    font-size: 20px;

    /* transform: translateY(-20%) translateX(-50%);
    position: absolute;
    left: 50%;
    top: 50%; */
}

.form-group {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1.2rem;

    width: 75%;
}

.form-input {
    border: none;
    outline: none;
    background-color: #fff;
    padding: 12px;
    border-radius: 8px;

    text-align: center;

    width: 100%;

    font-family: "Gotham", sans-serif;
    font-size: 20px;
    height: 40px;
}

.form-label {
    margin-bottom: 6px;
}

#form-submit-button, #success-submit-button {
    margin-top: 2rem;

    border: none;
    outline: none;
    background: linear-gradient(90deg, rgba(217,134,40,1) 0%, rgba(217,135,40,1) 21%, rgba(238,156,31,1) 62%, rgba(254,201,104,1) 78%, rgba(248,155,28,1) 100%);
    color: #000;
    padding: .5rem 1.85rem;
    border-radius: 8px;

    font-family: "Gotham", sans-serif;
    font-size: 20px;
}

#success-submit-button {
    margin-top: 1rem;
}

/* bagian input untuk registered code dan input kode registrasi */
#registered-code {
    letter-spacing: 5px;
    font-size: 20px;
    font-weight: 700;
}

#registered-code:disabled {
    color: #000000;
}

/* bagian registrasi berhasil */
#registration-success-container, #registration-form-container {
    display: flex;
    flex-direction: column;
    width: 80%;
    align-self: center;
    align-items: center;
    margin-top: 5rem;
    text-align: center;
    line-height: 24px;
}

#registration-success-container p {
    margin: 0;
}

.registration-code {
    margin-top: .5rem;
    margin-bottom: 1rem;
    background-color: #fff;
    color: #000;
    padding: 12px;
    font-size: 24px;
    width: 70% !important;
    text-align: center;
    border-radius: 12px;

    border: none;
    outline: none;
}

@media screen and (max-width: 450px) {
    .logo-group {
        padding: 2rem;
    }

    #form-container, .form-input, #form-submit-button, #success-submit-button {
        font-size: 16px;
    }
}

@media screen and (max-height: 700px) {
    .header-image {
        margin-top: 1.5rem;
        width: 60%;
    }
}